Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Interface PortalUserProfile

public interface PortalUserProfile
extends weblogic.jsp.personalization.UserProfile

Prescribes the interface into the user profile information used to customize a portal user's page.

Method Summary
`void` | `addGroupAttribute(java.lang.String groupName)` Adds the specified group name to the list of group names corresponding to the user profile
`java.lang.String` | `getAttribute(java.lang.String propertyName, boolean doGroupHierarchy)` Retrieves the attribute corresponding to the supplied property name.
`java.lang.String` | `getAttribute(java.lang.String propertyName, java.lang.String groupName)` Retrieves the attribute corresponing to the supplied property name.
`void` | `removeGroupAttribute(java.lang.String groupName)` Removes the specified group name from the list of group names corresponding to the user profile
`boolean` | `toBeRemoved()` Indicates whether the only properties left in a user profile are the user profile and group names, or any subset thereof

Methods inherited from interface weblogic.jsp.personalization.UserProfile
`addAttribute, checkPassword, getAllAttributeValues, getAttribute, isMultiValuedAttribute, removeAttribute, removeAttribute, setAttribute, setPassword`

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getAttribute

    public java.lang.String getAttribute(java.lang.String propertyName,
                                         boolean doGroupHierarchy)
                                  throws java.rmi.RemoteException

  Retrieves the attribute corresponding to the supplied property name. If `doGroupHierarchy` is `true`, the profile's group property is used to search for a value for the property name if the property value is not immediately available in the profile.
  Parameters:
    `propertyName` - the name of the property whose value is sought
    `doGroupHierarchy` - whether to search the group profiles corresponding to the profile for the property value if the value is not available in the first property. It should be noted that as the search proceeds hierarchically, the first group profile found at each sibling level will be searched for the specified property, and if the property value is not found, the search will continue at the next parent level.
  Returns:
    the property value, if found ; `null` otherwise.
  Throws:
    java.rmi.RemoteException - remote method call communication failure

### getAttribute

    public java.lang.String getAttribute(java.lang.String propertyName,
                                         java.lang.String groupName)
                                  throws java.rmi.RemoteException

  Retrieves the attribute corresponing to the supplied property name. If the attribute is not found in the user profile, the group profile corresponding to the provided group name is searched for the property.
  Parameters:
    `propertyName` - the property whose value is sought
  Returns:
    the property value
  Throws:
    java.rmi.RemoteException - remote method call communication failure

### toBeRemoved

    public boolean toBeRemoved()
                        throws java.rmi.RemoteException

  Indicates whether the only properties left in a user profile are the user profile and group names, or any subset thereof
  Returns:
    whether the only properties left in a user profile are the user profile and group names, or any subset thereof
  Throws:
    java.rmi.RemoteException - remote method call communication failure

### addGroupAttribute

    public void addGroupAttribute(java.lang.String groupName)
                           throws java.rmi.RemoteException

  Adds the specified group name to the list of group names corresponding to the user profile
  Parameters:
    `groupName` - the group name to add to the profile
  Throws:
    java.rmi.RemoteException - remote method call communication failure

### removeGroupAttribute

    public void removeGroupAttribute(java.lang.String groupName)
                              throws java.rmi.RemoteException

  Removes the specified group name from the list of group names corresponding to the user profile
  Parameters:
    `groupName` - the group name to remove from the profile
  Throws:
    java.rmi.RemoteException - remote method call communication failure

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved